// chapitre 5 valarray.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"

#include <iostream>
#include <valarray>
using namespace std;

int main(int argc, char* argv[])
{
	double d[]={3, 5.2, 8, 4 };
	valarray<double> v(d,4);
	v+=10;		// ajoute 10 à chaque élément

	return 0;
}

